%global _description \
attrs is an MIT-licensed Python package with class decorators that \
ease the chores of implementing the most common attribute-related \
object protocols. \

%global modname attrs

%bcond_without tests
Name:           python-attrs
Summary:        Python attributes without boilerplate
Version:        22.2.0
Release:        1
License:        MIT
URL:            http://www.attrs.org/
Source0:        https://github.com/hynek/attrs/archive/%{version}/attrs-%{version}.tar.gz

BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-devel

%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-six python%{python3_pkgversion}-zope-interface
BuildRequires:  python%{python3_pkgversion}-hypothesis python%{python3_pkgversion}-pytest
%endif

BuildArch:      noarch

%description
%{_description}

%package -n python%{python3_pkgversion}-attrs
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modname}}
%description -n python%{python3_pkgversion}-attrs
%{_description}

%package_help

%prep
%autosetup -p1 -n attrs-%{version}

%build
%py3_build

%install
%py3_install

%if %{with tests}
%check
PYTHONPATH=$RPM_BUILD_ROOT/%{python3_sitelib} py.test-3 -v
%endif

%files -n python%{python3_pkgversion}-attrs
%license LICENSE
%{python3_sitelib}/*

%files help
%doc README.md

%changelog
* Sat Jul 29 2023 zhuofeng <zhuofeng2@huawei.com> - 22.2.0-1
- update version to 22.2.0

* Thu Feb 16 2023 tanyulong <tanyulong@kylinos.cn> - 22.1.0-6
- enable check

* Fri Jan 13 2023 caofei <caofei@xfusion.com> -  22.1.0-5
- Fix minor stub issues

* Fri Jan 13 2023 caofei <caofei@xfusion.com> -  22.1.0-4
- Fix type docstring

* Mon Jan 9 2023 caofei <caofei@xfusion.com> - 22.1.0-3
- Fix typo

* Sat Jan 7 2023 caofei <caofei@xfusion.com> - - 22.1.0-2
- Update .gitignore

* Sat Oct 29 2022 zhuofeng <zhuofeng2@huawei.com> - 22.1.0-1
- update to 22.1.0

* Mon Jul 18 2022 OpenStack_SIG <openstack@openeuler.org> - 21.4.0-1
- Upgrade package to version 21.4.0

* Tue May 24 2022 renhongxun <renhongxun@h-partners> - 20.3.0-2
- fix changelog error

* Mon Jul 26 2021 liusheng <liusheng2048@gmail.com> - 20.3.0-1
- Upgrade to version 20.3.0

* Tue Mar 30 2021 zhangjiapeng <zhangjiapeng9@huawei.com> - 19.3.0-3
- python3-attrs provides python-attrs

* Wed Oct 21 2020 chengzihan <chengzihan2@huawei.com> - 19.3.0-2
- Remove subpackage python2-attrs

* Sat Aug 8 2020 tianwei <tianwei12@huawei.com> - 19.3.0-1
- Package update to 19.3.0

* Thu Dec 5 2019 caomeng<caomeng5@huawei.com> - 17.4.0-9
- Package init
